import { ethers } from 'ethers';
import { ChainId, TokenAmount } from '@sushiswap/sdk';
export declare function getApprovalSignature(user: string, nonce: number, chainId: ChainId, privateKey: string): Promise<{
    v: number;
    r: string;
    s: string;
}>;
export declare function batchApprovalAndDeposit(user: string, chainId: ChainId, nonce: number, token: string, amount: TokenAmount, share: TokenAmount, provider: ethers.providers.Web3Provider): Promise<string[]>;
